getdns_list_set(3)

NAME
getdns_list_set, getdns_list_set_bindata, getdns_list_set_dict, getdns_list_set_int, getdns_list_set_list, -- set a value by index from a getdns list

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_return_t
getdns_list_set_bindata (getdns_list *this_list,
    char *name,
    getdns_bindata *child_bindata)
getdns_return_t
getdns_list_set_dict (getdns_list *this_list,
    char *name,
    getdns_dict *child_dict)
getdns_return_t
getdns_list_set_int (getdns_list *this_list,
    char *name,
    uint32_t child_uint32_t)
getdns_return_t
getdns_list_set_list (getdns_list *this_list,
    char *name,
    getdns_list *child_list)

DESCRIPTION

The getdns_list type is used to manage a heterogeneous indexed list of values that include:
    getdns_bindata
    getdns_dict
    getdns_list
    uint32_t

this_list the list in which to add/update the indexed item

index the index whose associated value is to be set. If the index exists in the list the value associated with that index is replaced, if the index does not exist in the list a new item is added to the list at the specified index.

child_bindata child_dict child_list child_uint32 value to assign the indexed element

RETURN VALUES
Upon successful completion the functions return GETDNS_RETURN_GOOD , otherwise the following error values are returned:

GETDNS_RETURN_NO_SUCH_LIST_ITEM if the index is out of range

GETDNS_RETURN_GENERIC_ERROR if this_list is not a valid list

EXAMPLES
TBD

SEE ALSO
libgetdns(3), getdns_address(3), getdns_list(3), getdns_list_get(3), getdns_general(3), getdns_hostname(3), getdns_service(3),